fixed.h File Reference

Definitions of a fixed-point data type Fixed. More...

`#include <itpp/fixed/fix.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Classes

class | itpp::Fixed< w, e, o, q >
| Templated fixed-point data type. More...

## Namespaces

| itpp
| itpp namespace

## Typedefs

typedef Fixed< 1, TC, WRAP > | itpp::fixed1
| Typedefs for Fixed (fixed1, fixed2, ..., fixed64)
typedef Fixed< 1, US, WRAP > | itpp::ufixed1
| Typedefs for unsigned Fixed (ufixed1, ufixed2, ..., ufixed64)
typedef Fixed< 1, TC, SAT > | itpp::sfixed1
| Typedefs for saturated Fixed (sfixed1, sfixed2, ..., sfixed64)
typedef Fixed< 1, US, SAT > | itpp::sufixed1
| Typedefs for saturated unsigned Fixed (sufixed1, sufixed2, ..., sufixed64)

## Detailed Description

Definitions of a fixed-point data type Fixed.

Author
  Johan Bergman

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file fixed.h.

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1